{ pkgs ? import <nixpkgs> {} }:

pkgs.mkShell {
  buildInputs = [ pkgs.libspatialite ];
  nativeBuildInputs = [ pkgs.sqlite pkgs.cargo pkgs.rustc pkgs.poetry ];
  shellHook = ''
    LD_LIBRARY_PATH=${pkgs.libspatialite}/lib:LD_LIBRARY_PATH
  '';
}
